# List

Launch stage: Beta

`GET /api/warehouses/v1/default-warehouse-overrides`

Lists all default warehouse overrides in the workspace.
 Only workspace administrators can list all overrides.

API scopes: sql

## Query parameters

- `page_size` (int32, optional)
  The maximum number of overrides to return. The service may return fewer than
   this value.
   If unspecified, at most 100 overrides will be returned.
   The maximum value is 1000; values above 1000 will be coerced to 1000.
- `page_token` (string, optional)
  A page token, received from a previous `ListDefaultWarehouseOverrides` call.
   Provide this to retrieve the subsequent page.
  
   When paginating, all other parameters provided to `ListDefaultWarehouseOverrides`
   must match the call that provided the page token.

## Returns

Returns a list of DefaultWarehouseOverride objects.

## Response

```json
{
  "default_warehouse_overrides": [
    {
      "name": "string",
      "default_warehouse_override_id": "string",
      "type": "string",
      "warehouse_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

